#!/bin/bash
info "Loading kernel modules for OBS"
info "  Loop..."
modprobe loop max_loop=64 lbs=0 || modprobe loop max_loop=64
info "  binfmt misc..."
modprobe binfmt_misc
## ext4 is special, and obs appends illegal options...
DEPS=$(modinfo -F depends ext4),ext4
DEPS="${DEPS//,/ }"
for i in $DEPS; do
    info "  INSMOD $i"
    insmod $(modinfo -n $i)
done
info '  loop'
modprobe loop
info '  dm-mod'
modprobe dm-mod
info '  dm-snapshot'
modprobe dm-snapshot
info '  binfmt-misc'
modprobe binfmt-misc
info '  fuse'
modprobe fuse
info '  kqemu'
modprobe kqemu
info '  squashfs'
modprobe squashfs
info '  ext2'
modprobe ext2
info '  ext3'
modprobe ext3
info '  ext4'
modprobe ext4
info '  xfs'
modprobe xfs
info '  reiserfs'
modprobe reiserfs
info '  btrfs'
modprobe btrfs
info '  nf_conntrack_ipv6'
modprobe nf_conntrack_ipv6
info '  binfmt_misc'
modprobe binfmt_misc
info '  virtio_pci'
modprobe virtio_pci
info '  virtio_mmio'
modprobe virtio_mmio
info '  virtio_blk'
modprobe virtio_blk
info '  virtio_rng'
modprobe virtio_rng
info '  fat'
modprobe fat
info '  vfat'
modprobe vfat
info '  nls_cp437'
modprobe nls_cp437
info '  nls_iso8859-1'
modprobe nls_iso8859-1
info '  ibmvscsi'
modprobe ibmvscsi
info '  ibmvscsic'
modprobe ibmvscsic
