#!/bin/bash

# called by dracut
check() {
    require_binaries modinfo insmod || return 1
    return 255
}

# called by dracut
installkernel() {
    hostonly='' instmods obs
}

# called by dracut
install() {
    inst_hook pre-udev 10 "$moddir"/setup_obs.sh
    inst_multiple modinfo insmod
}
